| Bsoft 2.0.5 Bernard's software package

Functions
bshow_tomo.tcl File Reference

Procedures to manage tomographic images. More...

Go to the source code of this file.

## Functions
| Tomography
| Dialog box to manage tomographic information. More...
| setTiltAxis
| Sets the tilt axis angle. More...
| Tilts
| Dialog box to set the tilts for a tomographic series. More...
| setTilts_and_DestroyWindow w
| Generates the tilt list for a tomographic series. More...
| readTlt
| Reads tilt angles from a rawtlt file. More...
| drawTiltAxis
| Draws the tilt axis on the canvas. More...
| markerSelect x y
| Selects a marker. More...
| markerSelectAppend x y
| Appends marker at a location to list of selected markers. More...
| markerSetSelection x y
| The marker selection is reset and set to within a rectangle. More...
| markerCreateSelect x y
| Selects or creates a marker. More...
| markerGenerate
| Generates markers from a seed. More...
| markerExtract
| Extracts markers from a micrograph. More...
| markerMove x y
| Moves the selected markers. More...
| markerDraw id
| Draws a marker with an error line and label. More...
| markerDrawAll
| Redraws all markers on the canvas. More...
| markerDelete x y
| Deletes the selected marker. More...
| markerDeleteID id
| Deletes the selected marker. More...
| markerDeleteSelected
| Deletes all the selected markers. More...
| markerDeleteSelectedAll
| Deletes all the selected markers in all images. More...
| markerDeleteAll
| Deletes all markers. More...
| markerRenumber
| Renumbers markers in the current micrograph. More...
| markerCenter
| Centers markers in the current micrograph. More...
| markerFind n
| Finds markers in a file. More...
| setEdge edge
| markerSnap x y
| Centers the selected marker. More...
| updateResidual
| Updates the residual calculation which also sets all marker residuals. More...
| updateTomoTable
| Updates the tomographic table from the micrograph parameters in memory. More...
| updateMarkerParam
| Updates marker parameters from the micrograph parameters in memory. More...
| markerSetSelectFlag
| Sets the selection flag for the selected markers. More...
| markerClearSelectFlag
| Clears the selection flag for the selected markers. More...
| markerTable
| Sets up the window for the marker table and updates it. More...
| updateMarkerTable
| Updates the marker table. More...
| moveCanvasTo img_num loc
| Centers the viewable canvas on the location in the image. More...
| goToMarker w id isel img
| Goes to a marker. More...
| markerNextResidual w dir
| Goes to the next marker based on its residual. More...
| markerNextFOM w dir
| Goes to next marker based on its FOM. More...
| markerAcceptModelLocation
| Accepts the model locations of selected markers. More...
| alignAverageFrames
| Aligns a series of frames from dose fractionation. More...
| doAlignAverageFrames w
| Aligns and averages frames. More...
| normalizeImages
| Normalizes a series of images based on simple statistics. More...
| doNormalizeImages w
| Normalizes images. More...
| findTiltAxis
| doFindTiltAxis w
| Executes the tilt axis search. More...
| markerTransfer
| doMarkerTransfer w
| Executes the marker transfer. More...
| markerTrack
| Tracks the markers through the tilt series. More...
| doMarkerTrack w
| Executes marker tracking. More...
| markerRefine
| Refines marker positions and micrograph geometry. More...
| doMarkerRefine w
| Does a refinement of markers or views. More...
| refineMarker
| Refines one marker position. More...
| tomoPowerSpectra
| Dialog box for calculating tilt-adjusted power spectra. More...
| doTomoPowerSpectra w
| Calculating tilt-adjusted power spectra. More...
| tomoResolution
| Estimates the resolution of images in a tilt series. More...
| doTomoResolution w
| Executes estimation of the resolution of the tilt series. More...
| tomoReconstruct
| Reconstructs a tomogram. More...
| doTomoReconstruct w
| Executes tomogram reconstruction. More...
| tomoDenoise
| Denoises a tomogram. More...
| doTomoDenoise w
| Executes tomogram denoising. More...

## Detailed Description

Procedures to manage tomographic images.

Author
  Bernard Heymann

Date
  Created: 20021112
  Modified: 20180730

Definition in file bshow_tomo.tcl.

## Function Documentation

## ◆ alignAverageFrames()

alignAverageFrames

Aligns a series of frames from dose fractionation.

Definition at line 1234 of file bshow_tomo.tcl.

## ◆ doAlignAverageFrames()

doAlignAverageFrames |  |  | w

Aligns and averages frames.

Parameters

  w | dialog window.

Definition at line 1284 of file bshow_tomo.tcl.

## ◆ doFindTiltAxis()

doFindTiltAxis |  |  | w

Executes the tilt axis search.

Parameters

  w | dialog window.

Definition at line 1417 of file bshow_tomo.tcl.

## ◆ doMarkerRefine()

doMarkerRefine |  |  | w

Does a refinement of markers or views.

Parameters

  w | dialog window.

Definition at line 1643 of file bshow_tomo.tcl.

## ◆ doMarkerTrack()

doMarkerTrack |  |  | w

Executes marker tracking.

Parameters

  w | dialog window.

Definition at line 1566 of file bshow_tomo.tcl.

## ◆ doMarkerTransfer()

doMarkerTransfer |  |  | w

Executes the marker transfer.

Parameters

  w | dialog window.

Definition at line 1484 of file bshow_tomo.tcl.

## ◆ doNormalizeImages()

doNormalizeImages |  |  | w

Normalizes images.

Parameters

  w | dialog window.

Definition at line 1348 of file bshow_tomo.tcl.

## ◆ doTomoDenoise()

doTomoDenoise |  |  | w

Executes tomogram denoising.

Parameters

  w | dialog window.

Definition at line 1999 of file bshow_tomo.tcl.

## ◆ doTomoPowerSpectra()

doTomoPowerSpectra |  |  | w

Calculating tilt-adjusted power spectra.

Definition at line 1742 of file bshow_tomo.tcl.

## ◆ doTomoReconstruct()

doTomoReconstruct |  |  | w

Executes tomogram reconstruction.

Parameters

  w | dialog window.

Definition at line 1911 of file bshow_tomo.tcl.

## ◆ doTomoResolution()

doTomoResolution |  |  | w

Executes estimation of the resolution of the tilt series.

Parameters

  w | dialog window.

Definition at line 1818 of file bshow_tomo.tcl.

## ◆ drawTiltAxis()

drawTiltAxis

Draws the tilt axis on the canvas.

Definition at line 354 of file bshow_tomo.tcl.

## ◆ findTiltAxis()

findTiltAxis

Definition at line 1365 of file bshow_tomo.tcl.

## ◆ goToMarker()

goToMarker |  |  | w id isel img

Goes to a marker.

Parameters

  w | dialog window.
  id | marker identifier
  isel | offset in table ?
  img | micrograph index

Definition at line 1086 of file bshow_tomo.tcl.

## ◆ markerAcceptModelLocation()

markerAcceptModelLocation

Accepts the model locations of selected markers.

Definition at line 1215 of file bshow_tomo.tcl.

## ◆ markerCenter()

markerCenter

Centers markers in the current micrograph.

Definition at line 764 of file bshow_tomo.tcl.

## ◆ markerClearSelectFlag()

markerClearSelectFlag

Clears the selection flag for the selected markers.

Definition at line 952 of file bshow_tomo.tcl.

## ◆ markerCreateSelect()

markerCreateSelect |  |  | x y

Selects or creates a marker.

Parameters

  x |
  y | Marker position in canvas coordinates.

Definition at line 474 of file bshow_tomo.tcl.

## ◆ markerDelete()

markerDelete |  |  | x y

Deletes the selected marker.

Parameters

  x |
  y | Marker position in canvas coordinates.

Definition at line 684 of file bshow_tomo.tcl.

## ◆ markerDeleteAll()

markerDeleteAll

Deletes all markers.

Definition at line 741 of file bshow_tomo.tcl.

## ◆ markerDeleteID()

markerDeleteID |  |  | id

Deletes the selected marker.

Parameters

  id | Marker identifier.

Definition at line 700 of file bshow_tomo.tcl.

## ◆ markerDeleteSelected()

markerDeleteSelected

Deletes all the selected markers.

Definition at line 714 of file bshow_tomo.tcl.

## ◆ markerDeleteSelectedAll()

markerDeleteSelectedAll

Deletes all the selected markers in all images.

Definition at line 729 of file bshow_tomo.tcl.

## ◆ markerDraw()

markerDraw |  |  | id

Draws a marker with an error line and label.

Parameters

  id | Marker identifier.

Definition at line 600 of file bshow_tomo.tcl.

## ◆ markerDrawAll()

markerDrawAll

Redraws all markers on the canvas.

Definition at line 656 of file bshow_tomo.tcl.

## ◆ markerExtract()

markerExtract

Extracts markers from a micrograph.

Definition at line 542 of file bshow_tomo.tcl.

## ◆ markerFind()

markerFind |  |  | n

Finds markers in a file.

Parameters

  n | Image number.

Definition at line 778 of file bshow_tomo.tcl.

## ◆ markerGenerate()

markerGenerate

Generates markers from a seed.

Definition at line 530 of file bshow_tomo.tcl.

## ◆ markerMove()

markerMove |  |  | x y

Moves the selected markers.

Parameters

  x |
  y | Mouse position in canvas coordinates.

Definition at line 564 of file bshow_tomo.tcl.

## ◆ markerNextFOM()

markerNextFOM |  |  | w dir

Goes to next marker based on its FOM.

Parameters

  w | dialog window.
  dir | direction: min, lower, higher, max

Definition at line 1163 of file bshow_tomo.tcl.

## ◆ markerNextResidual()

markerNextResidual |  |  | w dir

Goes to the next marker based on its residual.

Parameters

  w | dialog window.
  dir | direction: min, lower, higher, max

Definition at line 1109 of file bshow_tomo.tcl.

## ◆ markerRefine()

markerRefine

Refines marker positions and micrograph geometry.

Definition at line 1595 of file bshow_tomo.tcl.

## ◆ markerRenumber()

markerRenumber

Renumbers markers in the current micrograph.

Definition at line 752 of file bshow_tomo.tcl.

## ◆ markerSelect()

markerSelect |  |  | x y

Selects a marker.

Parameters

  x |
  y | Marker position in canvas coordinates.

Definition at line 398 of file bshow_tomo.tcl.

## ◆ markerSelectAppend()

markerSelectAppend |  |  | x y

Appends marker at a location to list of selected markers.

Parameters

  x |
  y | Cursor position in window coordinates.

Definition at line 433 of file bshow_tomo.tcl.

## ◆ markerSetSelectFlag()

markerSetSelectFlag

Sets the selection flag for the selected markers.

Definition at line 938 of file bshow_tomo.tcl.

## ◆ markerSetSelection()

markerSetSelection |  |  | x y

The marker selection is reset and set to within a rectangle.

Parameters

  x |
  y | Marker position in canvas coordinates.

Definition at line 447 of file bshow_tomo.tcl.

## ◆ markerSnap()

markerSnap |  |  | x y

Centers the selected marker.

Parameters

  x |
  y | Marker position in canvas coordinates.

Definition at line 845 of file bshow_tomo.tcl.

## ◆ markerTable()

markerTable

Sets up the window for the marker table and updates it.

Definition at line 966 of file bshow_tomo.tcl.

## ◆ markerTrack()

markerTrack

Tracks the markers through the tilt series.

Definition at line 1506 of file bshow_tomo.tcl.

## ◆ markerTransfer()

markerTransfer

Definition at line 1441 of file bshow_tomo.tcl.

## ◆ moveCanvasTo()

moveCanvasTo |  |  | img_num loc

Centers the viewable canvas on the location in the image.

Parameters

  img_num | image number.
  loc | location list.

Definition at line 1063 of file bshow_tomo.tcl.

## ◆ normalizeImages()

normalizeImages

Normalizes a series of images based on simple statistics.

Definition at line 1304 of file bshow_tomo.tcl.

## ◆ readTlt()

readTlt

Reads tilt angles from a rawtlt file.

Definition at line 326 of file bshow_tomo.tcl.

## ◆ refineMarker()

refineMarker

Refines one marker position.

Definition at line 1663 of file bshow_tomo.tcl.

## ◆ setEdge()

setEdge |  |  | edge

Definition at line 831 of file bshow_tomo.tcl.

## ◆ setTiltAxis()

setTiltAxis

Sets the tilt axis angle.

Definition at line 253 of file bshow_tomo.tcl.

## ◆ setTilts_and_DestroyWindow()

setTilts_and_DestroyWindow |  |  | w

Generates the tilt list for a tomographic series.

Parameters

  w | the window to destroy.

Definition at line 306 of file bshow_tomo.tcl.

## ◆ Tilts()

Tilts

Dialog box to set the tilts for a tomographic series.

Definition at line 264 of file bshow_tomo.tcl.

## ◆ tomoDenoise()

tomoDenoise

Denoises a tomogram.

Definition at line 1946 of file bshow_tomo.tcl.

## ◆ Tomography()

Tomography

Dialog box to manage tomographic information.

Definition at line 27 of file bshow_tomo.tcl.

## ◆ tomoPowerSpectra()

tomoPowerSpectra

Dialog box for calculating tilt-adjusted power spectra.

Definition at line 1681 of file bshow_tomo.tcl.

## ◆ tomoReconstruct()

tomoReconstruct

Reconstructs a tomogram.

Definition at line 1844 of file bshow_tomo.tcl.

## ◆ tomoResolution()

tomoResolution

Estimates the resolution of images in a tilt series.

Definition at line 1770 of file bshow_tomo.tcl.

## ◆ updateMarkerParam()

updateMarkerParam

Updates marker parameters from the micrograph parameters in memory.

Definition at line 919 of file bshow_tomo.tcl.

## ◆ updateMarkerTable()

updateMarkerTable

Updates the marker table.

Definition at line 1044 of file bshow_tomo.tcl.

## ◆ updateResidual()

updateResidual

Updates the residual calculation which also sets all marker residuals.

Definition at line 860 of file bshow_tomo.tcl.

## ◆ updateTomoTable()

updateTomoTable

Updates the tomographic table from the micrograph parameters in memory.

Definition at line 871 of file bshow_tomo.tcl.